Stop Manipulation

- « UI\Draw\Brush\Gradient

- UI\Draw\Brush\Gradient::delStop »

- PHP Manual
- UI\Draw\Brush\Gradient
- Stop Manipulation

# UI\Draw\Brush\Gradient::addStop

(UI 2.0.0)

UI\Draw\Brush\Gradient::addStop — Stop Manipulation

### Description

public UI\Draw\Brush\Gradient::addStop(float `$position`, UI\Draw\Color `$color`): int
public UI\Draw\Brush\Gradient::addStop(float `$position`, int `$color`): int

Shall at a stop of the given color at the given position

### Parameters

`position`

  The position for the new stop

`color`

  The color for the new stop, may be UI\Draw\Color or RRGGBBAA

### Return Values

Total number of stops